net.i2p.client.streaming.impl

## Class SchedulerHardDisconnected

- java.lang.Object
- - net.i2p.client.streaming.impl.SchedulerImpl
  - - net.i2p.client.streaming.impl.SchedulerHardDisconnected

- All Implemented Interfaces:
    TaskScheduler

      class SchedulerHardDisconnected
      extends SchedulerImpl

  Scheduler used after we've locally done a hard disconnect, but the final timeout hasn't passed.

  ## Entry conditions:

  - Locally disconnected hard.
  - Less than the final timeout period has passed since the last ACK.

  ## Events:

  - Packets received
  - RESET received
  - Message sending fails (error talking to the session)

  ## Next states:

  - `dead` - after the final timeout passes

- - ### Field Summary

    - ### Fields inherited from class net.i2p.client.streaming.impl.SchedulerImpl

      `_context, _log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchedulerHardDisconnected(I2PAppContext ctx)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(Connection con)` Determine whether this scheduler is fit to operate against the given connection
    `void` | `eventOccurred(Connection con)` An event has occurred (timeout, message sent, or message received), so schedule what to do next based on our current state.

    - ### Methods inherited from class net.i2p.client.streaming.impl.SchedulerImpl

      `reschedule, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SchedulerHardDisconnected

          public SchedulerHardDisconnected(I2PAppContext ctx)

  - ### Method Detail

    - #### accept

          public boolean accept(Connection con)

      Description copied from interface: `TaskScheduler`
      Determine whether this scheduler is fit to operate against the given connection

    - #### eventOccurred

          public void eventOccurred(Connection con)

      Description copied from interface: `TaskScheduler`
      An event has occurred (timeout, message sent, or message received), so schedule what to do next based on our current state.